AssetService.SignAssetUrls
重签缓存资产 URL
对已缓存 object_key 的资产,重新生成预签名访问 URL(原 URL 已过期或即将过期时使用)。
Authentication
| 支持组合 | OAuth 2.0 | API Key |
|---|---|---|
| No identity | ||
| User identity | ||
| Org identity |
所需 scopes:creative:read
Request body · SignAssetUrlsRequest
| 字段 | 类型 | 必填 | 描述 |
|---|---|---|---|
object_keys | array<string> | — | 需要重新签名的对象键列表。 |
Response
200 OK · SignAssetUrlsResponse
| 字段 | 类型 | 必填 | 描述 |
|---|---|---|---|
signed_urls | object | — | 对象键 → 签名后的访问 URL。 |
错误响应 · google.rpc.Status
非 2xx 响应均按 AIP-193 规范包装为google.rpc.Status,含 code /message /details 三段。details[].reason 是机器可读的具体错误原因码,可用于客户端分支处理。
| 字段 | 类型 | 必填 | 描述 |
|---|---|---|---|
code | integer (int32) | — | The status code, which should be an enum value of google.rpc.Code. |
message | string | — | A developer-facing error message. |
details | array<Any> | — | A list of messages that carry the error details. |
Examples
curl -X POST \
'https://api.appforges.com/v1/creative/assets/sign-urls' \
-H 'Authorization: Bearer $ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"object_keys": [
"string"
]
}'OpenAPI spec v0.59.4 · synced 10/11/2026, 11:27:14 PM